MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025401Community[OCCT] OCCT:Releasepublic2014-10-21 08:472014-11-12 09:54
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025401: Some warnings could be eliminated
DescriptionA report from a customer:
"I just want to inform you that while using current (6.7.1) occ two warnings arise (lots of times).

Standard_math.hxx(21): warning C4005: '_USE_MATH_DEFINES' : macro redefinition
Standard_CString.hxx(31): warning C4005: 'strcasecmp' : macro redefinition

They could easily be avoided by adding an #ifndef guard around these defines."
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024998closedapn The incorrect _USE_MATH_DEFINES definition in Standard_math.hxx prevents the clean build for client applications 

-  Notes
(0033359)
git (administrator)
2014-10-21 09:21

Branch CR25401 has been created by abv.

SHA-1: 25f06bdbcdbd936245aa9a8f32a655d846a8784d


Detailed log of new commits:

Author: abv
Date: Tue Oct 21 09:20:54 2014 +0400

    0025401: Some warnings could be eliminated
    
    Do not redefine macro "strcasecmp" on Windows (MSVC) if it is already defined.
    Some useless declarations and comments removed.
(0033360)
abv (manager)
2014-10-21 09:23

The problem with _USE_MATH_DEFINES has been fixed by 0024998.

The fix for problem of "strcasecmp" pushed to branch CR25401, please review.
(0033361)
szv (manager)
2014-10-21 09:52

Reviewed with no comments, please test.
(0033585)
mkv (tester)
2014-10-22 18:26

Dear BugMaster,
Branch CR25401 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 25f06bdbcdbd936245aa9a8f32a655d846a8784d

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 368659480 / 368543772
Total CPU difference: 46971.07000000004 / 44540.67000000001
products component :
Total MEMORY difference: 126580912 / 126859592
Total CPU difference: 17566.28999999996 / 17320.789999999975

Testing on Windows:
occt component :
Total MEMORY difference: 253837712 / 252945828
Total CPU difference: 33464.0 / 34935.046875
products component :
Total MEMORY difference: 71474788 / 70288428
Total CPU difference: 11812.15625 / 11337.96875

There are no differences in images found by testdiff.
(0034332)
git (administrator)
2014-11-12 09:54

Branch CR25401 has been deleted by inv.

SHA-1: 25f06bdbcdbd936245aa9a8f32a655d846a8784d

- Related Changesets
occt: master 3415763e
Timestamp: 2014-10-21 05:20:54
Author: abv
Committer: bugmaster
Details ] Diff ]
0025401: Some warnings could be eliminated

Do not redefine macro "strcasecmp" on Windows (MSVC) if it is already defined.
Some useless declarations and comments removed.
mod - src/Standard/Standard_CString.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-21 08:47 szv New Issue
2014-10-21 08:47 szv Assigned To => bugmaster
2014-10-21 09:01 abv Relationship added related to 0024998
2014-10-21 09:21 git Note Added: 0033359
2014-10-21 09:23 abv Note Added: 0033360
2014-10-21 09:23 abv Assigned To bugmaster => szv
2014-10-21 09:23 abv Status new => resolved
2014-10-21 09:23 abv Target Version Unscheduled => 6.8.0
2014-10-21 09:52 szv Note Added: 0033361
2014-10-21 09:52 szv Assigned To szv => mkv
2014-10-21 09:52 szv Status resolved => reviewed
2014-10-22 18:26 mkv Note Added: 0033585
2014-10-22 18:26 mkv Test case number => Not needed
2014-10-22 18:26 mkv Assigned To mkv => bugmaster
2014-10-22 18:26 mkv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master 3415763e
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:02 user533 Status verified => closed
2014-11-12 09:54 git Note Added: 0034332


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker